> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deep position

> Gives a detailed view of one specific vault position on a given network.



## OpenAPI

````yaml https://api.vaults.fyi/beta/documentation/json get /beta/amm/deep/positions/{userAddress}/{network}/{vaultId}
openapi: 3.0.3
info:
  title: Vaults.fyi Beta API
  version: 0.1.0
  description: >-
    Beta API endpoints for features in testing. These endpoints are not included
    in the main API documentation and may change without notice.
servers:
  - url: https://api.vaults.fyi
    description: Vaults.fyi Beta API
security: []
tags:
  - name: Borrow Markets
  - name: The Deep
  - name: Fixed Term (Pendle)
  - name: Portfolio
  - name: SVM
paths:
  /beta/amm/deep/positions/{userAddress}/{network}/{vaultId}:
    get:
      tags:
        - The Deep
      summary: Get Deep position
      description: Gives a detailed view of one specific vault position on a given network.
      operationId: getDeepPosition
      parameters:
        - schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
          in: path
          name: userAddress
          required: true
          description: User address to be used for best vault calculation
        - schema:
            type: string
            enum:
              - mainnet
              - optimism
              - arbitrum
              - polygon
              - gnosis
              - base
              - unichain
              - swellchain
              - celo
              - worldchain
              - berachain
              - ink
              - bsc
              - hyperliquid
              - plasma
              - avalanche
              - katana
              - linea
              - mega-eth
              - monad
              - etherlink
              - eip155:1
              - eip155:10
              - eip155:42161
              - eip155:137
              - eip155:100
              - eip155:8453
              - eip155:130
              - eip155:1923
              - eip155:42220
              - eip155:480
              - eip155:80094
              - eip155:57073
              - eip155:56
              - eip155:999
              - eip155:9745
              - eip155:43114
              - eip155:747474
              - eip155:59144
              - eip155:4326
              - eip155:143
              - eip155:42793
          in: path
          name: network
          required: true
          description: Include only vaults with provided network(name or CAIP)
        - schema:
            type: string
          in: path
          name: vaultId
          required: true
          description: Vault id of the vault for which the data will be returned
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  address:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                    description: Address of the vault
                  network:
                    type: object
                    properties:
                      name:
                        type: string
                        enum:
                          - mainnet
                          - optimism
                          - arbitrum
                          - polygon
                          - gnosis
                          - base
                          - unichain
                          - swellchain
                          - celo
                          - worldchain
                          - berachain
                          - ink
                          - bsc
                          - hyperliquid
                          - plasma
                          - avalanche
                          - katana
                          - linea
                          - mega-eth
                          - monad
                          - etherlink
                        description: Name of the network
                      chainId:
                        type: integer
                        description: Chain ID of the network
                      networkCaip:
                        type: string
                        pattern: ^eip155:\d+$
                        description: CAIP-2 of the network
                    required:
                      - name
                      - chainId
                      - networkCaip
                    additionalProperties: false
                    description: Network details of the vault
                  asset0:
                    type: object
                    properties:
                      address:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                        description: Address of the asset
                      symbol:
                        type: string
                        description: Symbol of the asset
                      decimals:
                        type: number
                        description: Decimals of the asset
                      balanceInVault:
                        type: string
                        description: User balance of the asset in the vault
                    required:
                      - address
                      - symbol
                      - decimals
                      - balanceInVault
                    additionalProperties: false
                    description: Asset details of the vault
                  asset1:
                    type: object
                    properties:
                      address:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                        description: Address of the asset
                      symbol:
                        type: string
                        description: Symbol of the asset
                      decimals:
                        type: number
                        description: Decimals of the asset
                      balanceInVault:
                        type: string
                        description: User balance of the asset in the vault
                    required:
                      - address
                      - symbol
                      - decimals
                      - balanceInVault
                    additionalProperties: false
                    description: Asset details of the vault
                  name:
                    type: string
                    description: Name of the vault
                  apr:
                    type: object
                    properties:
                      7day:
                        type: number
                        description: 7day APR of the vault
                      30day:
                        type: number
                        description: 30day APR of the vault
                    required:
                      - 7day
                      - 30day
                    additionalProperties: false
                  decimals:
                    type: number
                    description: Decimals of the vault token
                  userBalance:
                    type: string
                    description: User balance in vault shares
                required:
                  - address
                  - network
                  - asset0
                  - asset1
                  - name
                  - apr
                  - decimals
                  - userBalance
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Bad Request
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Unauthorized
                      message:
                        type: string
                        enum:
                          - >-
                            An API key is required to access this service. Sign
                            up at https://portal.vaults.fyi/signup to generate a
                            key. We offer a Pay-As-You-Go plan so you only pay
                            for what you use, with no commitments.
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '402':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      x402Version:
                        anyOf:
                          - type: number
                          - type: string
                      error:
                        type: string
                      resource:
                        type: object
                        properties:
                          url:
                            type: string
                          description:
                            type: string
                          mimeType:
                            type: string
                          serviceName:
                            type: string
                          tags:
                            type: array
                            items:
                              type: string
                          iconUrl:
                            type: string
                        required:
                          - url
                        additionalProperties: false
                      accepts:
                        anyOf:
                          - type: array
                            items:
                              type: object
                              properties:
                                scheme:
                                  type: string
                                  enum:
                                    - exact
                                network:
                                  type: string
                                amount:
                                  type: string
                                payTo:
                                  type: string
                                maxTimeoutSeconds:
                                  type: number
                                asset:
                                  type: string
                                extra:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    version:
                                      type: string
                                  required:
                                    - name
                                    - version
                                  additionalProperties: false
                              required:
                                - scheme
                                - network
                                - amount
                                - payTo
                                - maxTimeoutSeconds
                                - asset
                              additionalProperties: false
                          - {}
                      extensions:
                        type: object
                        additionalProperties: {}
                    required:
                      - x402Version
                      - resource
                    additionalProperties: false
                  - {}
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Forbidden
                      message:
                        type: string
                        enum:
                          - >-
                            This API key has exhausted its available credits. To
                            resume service, please visit
                            https://portal.vaults.fyi/signup to top-up your
                            credits
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - Not Found
                  message:
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
        '408':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                      errorId:
                        type: string
                    additionalProperties: false
                  - {}
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Unprocessable Entity
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Internal Server Error
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Service Unavailable
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````